## SYNOPSIS

           ldapmodrdn [-r] [-n] [-v] [-k] [-K] [-c] [-M[M]] [-d debu
           glevel]  [-D binddn]  [-W]   [-w passwd]   [-y passwdfile]
           [-H ldapuri]    [-h ldaphost]    [-p ldapport]    [-P 2|3]
           [-O security-properties] [-I] [-Q] [-U authcid] [-R realm]
           [-x] [-X authzid] [-Y mech] [-Z[Z]] [-f file] [dn rdn]

## DESCRIPTION

           ldapmodrdn   is   a   shell-accessible  interface  to  the
           ldap_modrdn2(3) library call.

           ldapmodrdn opens a connection to an  LDAP  server,  binds,
           and modifies the RDN of entries.  The entry information is
           read from standard input, from file through the use of the
           -f option, or from the command-line pair dn and rdn.

## OPTIONS

           -r     Remove  old  RDN values from the entry.  Default is
                  to keep old values.

           -n     Show what would be done, but don't actually  change
                  entries.   Useful for debugging in conjunction with
                  -v.

           -v     Use verbose mode, with many diagnostics written  to
                  standard output.

           -k     Use  Kerberos  IV  authentication instead of simple
                  authentication.  It is  assumed  that  you  already
                  have  a  valid  ticket granting ticket.  ldapmodrdn
                  must be compiled with  Kerberos  support  for  this
                  option to have effect.

           -K     Same as -k, but only does step 1 of the Kerberos IV
                  bind.  This is useful when connecting  to  a  slapd
                  and  there  is no x500dsa.hostname principal regis
                  tered with your Kerberos Domain Controller(s).

           -c     Continuous operation mode.  Errors  are   reported,
                  but ldapmodify will  continue  with  modifications.
                  The default is to exit after reporting an error.

           -M[M]  Enable manage DSA IT control.   -MM  makes  control
                  critical.

           -d debuglevel
                  Set  the LDAP debugging level to debuglevel.  ldap
                  modrdn must be compiled with LDAP_DEBUG defined for
                  this option to have any effect.

           -f file
                  Read  the  entry modification information from file
                  tion.

           -y passwdfile
                  Use complete contents of passwdfile as the password
                  for simple authentication.

           -H ldapuri
                  Specify URI(s) referring to the ldap server(s).

           -h ldaphost
                  Specify an alternate host on which the ldap  server
                  is running.  Deprecated in favor of -H.

           -p ldapport
                  Specify an alternate TCP port where the ldap server
                  is listening.  Deprecated in favor of -H.

           -P 2|3 Specify the LDAP protocol version to use.

           -O security-properties
                  Specify SASL security properties.

           -I     Enable  SASL  Interactive  mode.   Always   prompt.
                  Default is to prompt only as needed.

           -Q     Enable SASL Quiet mode.  Never prompt.

           -U authcid
                  Specify  the  authentication  ID for SASL bind. The
                  form of the ID depends on the actual SASL mechanism
                  used.

           -R realm
                  Specify  the  realm  of  authentication ID for SASL
                  bind. The form of the realm depends on  the  actual
                  SASL mechanism used.

           -X authzid
                  Specify  the  proxy authorization ID for SASL bind.
                  authzid must  be  one  of  the  following  formats:
                  dn:<distinguished name> or u:<username>

           -Y mech
                  Specify the SASL mechanism to be used for authenti
                  cation. If it's not  specified,  the  program  will
                  choose the best mechanism the server knows.

           -Z[Z]  Issue  StartTLS (Transport Layer Security) extended
                  operation. If you use -ZZ, the command will require
                  the operation to be successful.

## INPUT FORMAT

           contents:

               cn=Modify Me,dc=example,dc=com
               cn=The New Me

           the command:

               ldapmodify -r -f /tmp/entrymods

           will change the RDN of the "Modify Me" entry from  "Modify
           Me"  to  "The  New Me" and the old cn, "Modify Me" will be
           removed.

## DIAGNOSTICS

           Exit status is 0 if no errors occur.  Errors result  in  a
           non-zero  exit status and a diagnostic message being writ
           ten to standard error.

## SEE ALSO

           ldapadd(1), ldapdelete(1),  ldapmodify(1),  ldapsearch(1),
           ldap.conf(5), ldap(3), ldap_modrdn2(3)

## AUTHOR

           The OpenLDAP Project <http://www.openldap.org/>

## ACKNOWLEDGEMENTS

           OpenLDAP  is developed and maintained by The OpenLDAP Pro
           ject (http://www.openldap.org/).  OpenLDAP is derived from
           University of Michigan LDAP 3.3 Release.

    OpenLDAP 2.1.12                                     LDAPMODRDN(1)